<?php
	
 session_start();
 $usu=$_SESSION['username'];
 
		include('../conexion.php'); 
		
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}
		
		
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];

		 
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $intmor =  $row_para["INTMOR"];

$fechahoy=date("Y-m-d");


$sel_fact="INSERT INTO tramites_clientestmp(numrec,fecrec) VALUE ('','$fechahoy')";
	$mysqli->query($sel_fact);
	$numrec= $mysqli-> insert_id ;

$consulta1 = "DELETE FROM tramites_clientestmp  WHERE numrec !='$numrec'";
$mysqli->query($consulta1);



if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$dsccli=$array_cadena_busqueda[2];

} else {
	$cdgcli="";
	$dsccli="";
	//$cboEstados="";

}

?>
<html>
	<head>
		<title>Tramites</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
      		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
          
        	<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
        


  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>

		<script language="javascript">
		



  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==118){ validar_Recibo(); } // f8 guardar e imprimir 

  }  
  }


		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			cambio=document.getElementById("cambio").value=1;
			document.getElementById("formulario").submit();

  

		}
		
		
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("formulario").submit();
		
		}
		
		function hacer_cadena_busqueda() {
			var cdgcli=document.getElementById("cdgcli").value;
			var dsccli=document.getElementById("dsccli").value;
			var cadena="";
			cadena="~"+cdgcli+"~"+dsccli+"~";
			return cadena;
			}






	function calculo_intereses() {
	
		cambio=document.getElementById("cambio").value=1;		
				  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("interes");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }

  	
	
  if (resultado==1) {
		tazint.disabled=false;
 	tazint=document.getElementById("tazint2").value;
 	 document.getElementById("tazint").value=tazint;
	document.getElementById("formulario").submit();

			} else {

  document.getElementById("tazint").value="";
	tazint.disabled=true;
	document.getElementById("formulario").submit();
			}}

/////////////////////////////////////////////////////////  validar abono ////////////////////////////////////////////////


	function validarfactura() { 
	
				document.getElementById("formulario").submit();

		}
		
		
		
	function selecionar() { 
			
			cdgcli=document.getElementById("cdgcli").value;
			numrec=document.getElementById("numrec").value;
 			seleccionar=document.getElementById("seleccionar").value;
			cambio=document.getElementById("cambio").value=1;
		
			
		miPopup = window.open("comprobarseleccion.php?seleccionar="+seleccionar + "&cdgcli="+cdgcli+ "&numrec="+numrec,"frame_datos4","width=700,height=80,scrollbars=yes");
		document.getElementById("formulario").submit();
		}

			
		
		function limpiar() { 
			document.getElementById("formulario").reset();
			document.getElementById("formulario").submit();
		}
		
		function abreVentana(){
			cambio=document.getElementById("cambio").value=1;
			miPopup = window.open("ver_clientes.php","miwin","width=700,height=650,scrollbars=yes");

		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=700,height=80,scrollbars=yes");
			cambio=document.getElementById("cambio").value=1;
			document.getElementById("formulario").submit();
			
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		
		}
		
		
				


//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
  if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
			  validar();			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

function validar_tramite()
			{
				
				
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Codigo del Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre Cliente\n";
				if (document.getElementById("acumulado").value=="") mensaje+="  - Monto del Tramite\n";
				if (document.getElementById("acumulado").value=="0.00") mensaje+="  - Monto del Tramite\n";
				if (document.getElementById("acumulado").value=="0") mensaje+="  - Monto del Tramite\n";

								
				if (mensaje!="") {
					alert("Atencion, Los Siguientes campos no pueden estar en blanco:\n\n"+mensaje);
				
				} else {
			
			
				document.forms.formulario.action="imprimir_tramite_facturas_cliente.php";
				document.getElementById("formulario").submit();
			
			
	
			}}
			
			
			
				
						function cancelar() {
			location.href="Menu_Reportes.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}



   	function inicio() {
			
			
			//document.getElementById("formulario").submit();
			monint.disabled = true;
			document.getElementById("cdgli").select();
		}

 


		</script>
	</head>
			<body onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenido">
				<form id="formulario" name="formulario" method="post" action="frame_lineas_tramite.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0>					
						<input id="accion" name="accion" value="alta" type="hidden">
                          <input name="tazint2"  type="hidden"   class="fuente_estados" id="tazint2"  value="<?php echo $intmor?>" style='text-align:center;'   >
						<input name="numrec"  id="numrec" value="<?php echo $numrec?>" type="hidden">
						<input name="selfac"  id="selfac" value="<?php echo $selfac?>" type="hidden">
						<input name="numfac"  id="numfac" value="<?php echo $numfac?>" type="hidden">
						<input name="cambio"  id="cambio" value="1" type="hidden">
                          <input id="posicion" name="posicion" type="hidden" value="" >
                           <input id="filas" name="filas" type="hidden" value="" >
						<input name="acumulado"  id="acumulado" value="<?php echo $acumulado?>" type="hidden">
	<input type="hidden" id="currency" />
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="20%">&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td width="1%" rowspan="2">&nbsp;</td>
						  <td width="7%">&nbsp;</td>
						  <td rowspan="2"><input id="cdgcli" autocomplete="off" autofocus type="text" class="cajaPequena" name="cdgcli" maxlength="10"  value=""  style='text-align:center;'    onChange="validarcliente(); buscar()" >
					      <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarcliente()" title="Validar cliente" onMouseOver="style.cursor=cursor"></td>
						  <td rowspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="3%" rowspan="2">&nbsp;</td>
					  </tr>
						<tr>
						  <td width="7%">Código</td>
						  <td>Selecionar</td>
					      <td><input  type="checkbox" id="seleccionar" name="seleccionar"  value="1"  onClick="selecionar(1)" checked ></td>
				      </tr>
						<tr>
						  <td rowspan="2">&nbsp;</td>
						  <td>Nombre</td>
						  <td width="53%"><input id="dsccli" readonly name="dsccli" type="text" class="cajaGrande" maxlength="45"    value="<?php echo $dsccli?>"></td>
						  <td width="7%">&nbsp;</td>
						  <td width="9%">Interes</td>
						  <td><input  type="checkbox" id="interes" name="interes"  value="1"  onClick="calculo_intereses()"  onChange="calculo_intereses()" checked >
						    <input name="tazint" type="text"  value="<?php echo $intmor ?>" class="cajaMedia" id="tazint"  style='text-align:center;'   onBlur="buscar()" ></td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
                           <td colspan="4">&nbsp;</td>
					    </tr>
				    </table>
					<div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						  <td width="13%">FACTURA</td>
							
							<td width="9%">FECHA</td>
							<td width="14%">M.INICIAL</td>
							<td width="11%">VENCE</td>
							<td width="15%">SALDO</td>
							<td width="13%">INTERES </td>
							<td width="12%">TOTAL </td>
							<td width="13%">ACUMULADO</td>							
						</tr>
				</table>
                  
	</div>
				    <iframe width="100%" height="350" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="100%" height="350" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				    <div id="">
                      <div align="center"><img src="../img/Symbol-Delete_48x48-32.png" alt="Borrar" width="48" height="48" border="0" align="right" class="aCentro" title="Salir" onClick="cancelar()" onMouseOver="style.cursor=cursor">
					  
                          <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
                          <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?>" type="hidden">
                          <input id="preciototal2" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
                      </div>
			      </div>
				    <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			        <img src="../img/Symbol-Check_48x48-32.png"  width="48" height="48" border="0" title="Aceptar"  onClick="validar_tramite()" onMouseOver="style.cursor=cursor">
				</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
					
				<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
                    		<iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
					</iframe>


			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
